# Simulate issuing a Payment Run SCA Challenge Simulates issuing the SCA challenge for a payment run. This endpoint will only function in Sandbox and should not be used in the Live environment. Endpoint: POST /simulate/v1/payment_run_sca/{payment_run_id}/challenges/otp/{channel} Version: v1 Security: apiKey, authToken ## Path parameters: - `channel` (string, required) The unique identifier for the channel. Enum: "SMS" - `payment_run_id` (string, required) The unique identifier for the payment run. ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 403 fields (application/json): - `errorCode` (string) Enum: "INSUFFICIENT_PERMISSIONS" ## Response 404 fields (application/json): - `code` (string) - `message` (string) ## Response 409 fields (application/json): - `errorCode` (string) - STATE_INVALID - The operation no longer requires additional verification, it was either cancelled or completed. - CHANNEL_NOT_SUPPORTED - The channel selected cannot be used to verify this type of operation. - CHANNEL_NOT_REGISTERED - The channel selected must be enrolled to receive one-time passwords before it can be used to verify this type of operation. Enum: "STATE_INVALID", "CHANNEL_NOT_SUPPORTED", "CHANNEL_NOT_REGISTERED" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 204 fields ## Response 401 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields